EMF::EMREXTTEXTOUTW(3)

NAME
EMF::EMREXTTEXTOUTW - EMF Extended Text Output Wide character.

SYNOPSIS

#include <libemf.h>

Inherits EMF::METARECORD, and EMREXTTEXTOUTA.

  Public Member Functions

EMREXTTEXTOUTW (const RECTL *bounds, DWORD graphicsMode, FLOAT xScale, FLOAT yScale, const PEMRTEXT text, LPCWSTR string, const INT *dx)
EMREXTTEXTOUTW (DATASTREAM &ds)
~EMREXTTEXTOUTW ()
bool serialize (DATASTREAM ds)
int size (void) const
void execute (METAFILEDEVICECONTEXT *source, HDC dc) const

Public Member Functions inherited from EMF::METARECORD
virtual ~METARECORD ()

Detailed Description

EMF Extended Text Output Wide character.

Draw this text string with the current font, in the color of the current pen and with the given text background color. Individual character positioning can be given in the dx array.

Constructor & Destructor Documentation

  EMF::EMREXTTEXTOUTW::EMREXTTEXTOUTW (const RECTL * bounds, DWORD graphicsMode, FLOAT xScale, FLOAT yScale, const PEMRTEXT text, LPCWSTR string, const INT * dx) [inline]

Parameters
    bounds bounding box of text string.
    graphicsMode (not entirely sure?)
    xScale width scale factor (of what?)
    yScale height scale factor (of what?)
    text a text metarecord containing the rendering style.
    string the text to render
    dx an array of positions for each character in string.

  EMF::EMREXTTEXTOUTW::EMREXTTEXTOUTW (DATASTREAM & ds) [inline]
Construct a ExtTextOutA record from the input stream.

Parameters
    ds Metafile datastream.

  EMF::EMREXTTEXTOUTW::~EMREXTTEXTOUTW () [inline]
Destructor frees its copy of the string and its character offset array

Member Function Documentation

  void EMF::EMREXTTEXTOUTW::execute (METAFILEDEVICECONTEXT * source, HDC dc) const [inline], [virtual]
Execute this record in the context of the given device context.

Parameters
    source the device context from which this record is taken.
    dc device context for execute.

Implements EMF::METARECORD.

  bool EMF::EMREXTTEXTOUTW::serialize (DATASTREAM ds) [inline], [virtual]

Parameters
    ds Metafile datastream.

Implements EMF::METARECORD.

  int EMF::EMREXTTEXTOUTW::size (void) const [inline], [virtual]
Internally computed size of this record.

Implements EMF::METARECORD.

Author

Generated automatically by Doxygen for libemf from the source code.